## org.eclipse.emf.ecore.impl
Class EcorePackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecore.impl.EcorePackageImpl

All Implemented Interfaces:
  Notifier, EcorePackage, EModelElement, ENamedElement, EObject, EPackage, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class EcorePackageImpl

extends EPackageImpl
implements EcorePackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EcorePackage
`EcorePackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EcorePackage

`_INTERNAL_BOOTSTRAP, EANNOTATION, EANNOTATION__CONTENTS, EANNOTATION__DETAILS, EANNOTATION__EANNOTATIONS, EANNOTATION__EMODEL_ELEMENT, EANNOTATION__REFERENCES, EANNOTATION__SOURCE, EANNOTATION_FEATURE_COUNT, EATTRIBUTE, EATTRIBUTE__CHANGEABLE, EATTRIBUTE__DEFAULT_VALUE, EATTRIBUTE__DEFAULT_VALUE_LITERAL, EATTRIBUTE__DERIVED, EATTRIBUTE__EANNOTATIONS, EATTRIBUTE__EATTRIBUTE_TYPE, EATTRIBUTE__ECONTAINING_CLASS, EATTRIBUTE__EGENERIC_TYPE, EATTRIBUTE__ETYPE, EATTRIBUTE__ID, EATTRIBUTE__LOWER_BOUND, EATTRIBUTE__MANY, EATTRIBUTE__NAME, EATTRIBUTE__ORDERED, EATTRIBUTE__REQUIRED, EATTRIBUTE__TRANSIENT, EATTRIBUTE__UNIQUE, EATTRIBUTE__UNSETTABLE, EATTRIBUTE__UPPER_BOUND, EATTRIBUTE__VOLATILE, EATTRIBUTE_FEATURE_COUNT, EBIG_DECIMAL, EBIG_INTEGER, EBOOLEAN, EBOOLEAN_OBJECT, EBYTE, EBYTE_ARRAY, EBYTE_OBJECT, ECHAR, ECHARACTER_OBJECT, ECLASS, ECLASS__ABSTRACT, ECLASS__DEFAULT_VALUE, ECLASS__EALL_ATTRIBUTES, ECLASS__EALL_CONTAINMENTS, ECLASS__EALL_GENERIC_SUPER_TYPES, ECLASS__EALL_OPERATIONS, ECLASS__EALL_REFERENCES, ECLASS__EALL_STRUCTURAL_FEATURES, ECLASS__EALL_SUPER_TYPES, ECLASS__EANNOTATIONS, ECLASS__EATTRIBUTES, ECLASS__EGENERIC_SUPER_TYPES, ECLASS__EID_ATTRIBUTE, ECLASS__EOPERATIONS, ECLASS__EPACKAGE, ECLASS__EREFERENCES, ECLASS__ESTRUCTURAL_FEATURES, ECLASS__ESUPER_TYPES, ECLASS__ETYPE_PARAMETERS, ECLASS__INSTANCE_CLASS, ECLASS__INSTANCE_CLASS_NAME, ECLASS__INSTANCE_TYPE_NAME, ECLASS__INTERFACE, ECLASS__NAME, ECLASS_FEATURE_COUNT, ECLASSIFIER, ECLASSIFIER__DEFAULT_VALUE, ECLASSIFIER__EANNOTATIONS, ECLASSIFIER__EPACKAGE, ECLASSIFIER__ETYPE_PARAMETERS, ECLASSIFIER__INSTANCE_CLASS, ECLASSIFIER__INSTANCE_CLASS_NAME, ECLASSIFIER__INSTANCE_TYPE_NAME, ECLASSIFIER__NAME, ECLASSIFIER_FEATURE_COUNT, EDATA_TYPE, EDATA_TYPE__DEFAULT_VALUE, EDATA_TYPE__EANNOTATIONS, EDATA_TYPE__EPACKAGE, EDATA_TYPE__ETYPE_PARAMETERS, EDATA_TYPE__INSTANCE_CLASS, EDATA_TYPE__INSTANCE_CLASS_NAME, EDATA_TYPE__INSTANCE_TYPE_NAME, EDATA_TYPE__NAME, EDATA_TYPE__SERIALIZABLE, EDATA_TYPE_FEATURE_COUNT, EDATE, EDIAGNOSTIC_CHAIN, EDOUBLE, EDOUBLE_OBJECT, EE_LIST, EENUM, EENUM__DEFAULT_VALUE, EENUM__EANNOTATIONS, EENUM__ELITERALS, EENUM__EPACKAGE, EENUM__ETYPE_PARAMETERS, EENUM__INSTANCE_CLASS, EENUM__INSTANCE_CLASS_NAME, EENUM__INSTANCE_TYPE_NAME, EENUM__NAME, EENUM__SERIALIZABLE, EENUM_FEATURE_COUNT, EENUM_LITERAL, EENUM_LITERAL__EANNOTATIONS, EENUM_LITERAL__EENUM, EENUM_LITERAL__INSTANCE, EENUM_LITERAL__LITERAL, EENUM_LITERAL__NAME, EENUM_LITERAL__VALUE, EENUM_LITERAL_FEATURE_COUNT, EENUMERATOR, EFACTORY, EFACTORY__EANNOTATIONS, EFACTORY__EPACKAGE, EFACTORY_FEATURE_COUNT, EFEATURE_MAP, EFEATURE_MAP_ENTRY, EFLOAT, EFLOAT_OBJECT, EGENERIC_TYPE, EGENERIC_TYPE__ECLASSIFIER, EGENERIC_TYPE__ELOWER_BOUND, EGENERIC_TYPE__ERAW_TYPE, EGENERIC_TYPE__ETYPE_ARGUMENTS, EGENERIC_TYPE__ETYPE_PARAMETER, EGENERIC_TYPE__EUPPER_BOUND, EGENERIC_TYPE_FEATURE_COUNT, eINSTANCE, EINT, EINTEGER_OBJECT, EJAVA_CLASS, EJAVA_OBJECT, ELONG, ELONG_OBJECT, EMAP, EMODEL_ELEMENT, EMODEL_ELEMENT__EANNOTATIONS, EMODEL_ELEMENT_FEATURE_COUNT, eNAME, ENAMED_ELEMENT, ENAMED_ELEMENT__EANNOTATIONS, ENAMED_ELEMENT__NAME, ENAMED_ELEMENT_FEATURE_COUNT, eNS_PREFIX, eNS_URI, EOBJECT, EOBJECT_FEATURE_COUNT, EOPERATION, EOPERATION__EANNOTATIONS, EOPERATION__ECONTAINING_CLASS, EOPERATION__EEXCEPTIONS, EOPERATION__EGENERIC_EXCEPTIONS, EOPERATION__EGENERIC_TYPE, EOPERATION__EPARAMETERS, EOPERATION__ETYPE, EOPERATION__ETYPE_PARAMETERS, EOPERATION__LOWER_BOUND, EOPERATION__MANY, EOPERATION__NAME, EOPERATION__ORDERED, EOPERATION__REQUIRED, EOPERATION__UNIQUE, EOPERATION__UPPER_BOUND, EOPERATION_FEATURE_COUNT, EPACKAGE, EPACKAGE__EANNOTATIONS, EPACKAGE__ECLASSIFIERS, EPACKAGE__EFACTORY_INSTANCE, EPACKAGE__ESUBPACKAGES, EPACKAGE__ESUPER_PACKAGE, EPACKAGE__NAME, EPACKAGE__NS_PREFIX, EPACKAGE__NS_URI, EPACKAGE_FEATURE_COUNT, EPARAMETER, EPARAMETER__EANNOTATIONS, EPARAMETER__EGENERIC_TYPE, EPARAMETER__EOPERATION, EPARAMETER__ETYPE, EPARAMETER__LOWER_BOUND, EPARAMETER__MANY, EPARAMETER__NAME, EPARAMETER__ORDERED, EPARAMETER__REQUIRED, EPARAMETER__UNIQUE, EPARAMETER__UPPER_BOUND, EPARAMETER_FEATURE_COUNT, EREFERENCE, EREFERENCE__CHANGEABLE, EREFERENCE__CONTAINER, EREFERENCE__CONTAINMENT, EREFERENCE__DEFAULT_VALUE, EREFERENCE__DEFAULT_VALUE_LITERAL, EREFERENCE__DERIVED, EREFERENCE__EANNOTATIONS, EREFERENCE__ECONTAINING_CLASS, EREFERENCE__EGENERIC_TYPE, EREFERENCE__EKEYS, EREFERENCE__EOPPOSITE, EREFERENCE__EREFERENCE_TYPE, EREFERENCE__ETYPE, EREFERENCE__LOWER_BOUND, EREFERENCE__MANY, EREFERENCE__NAME, EREFERENCE__ORDERED, EREFERENCE__REQUIRED, EREFERENCE__RESOLVE_PROXIES, EREFERENCE__TRANSIENT, EREFERENCE__UNIQUE, EREFERENCE__UNSETTABLE, EREFERENCE__UPPER_BOUND, EREFERENCE__VOLATILE, EREFERENCE_FEATURE_COUNT, ERESOURCE, ERESOURCE_SET, ESHORT, ESHORT_OBJECT, ESTRING, ESTRING_TO_STRING_MAP_ENTRY, ESTRING_TO_STRING_MAP_ENTRY__KEY, ESTRING_TO_STRING_MAP_ENTRY__VALUE, ESTRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT, ESTRUCTURAL_FEATURE, ESTRUCTURAL_FEATURE__CHANGEABLE, ESTRUCTURAL_FEATURE__DEFAULT_VALUE, ESTRUCTURAL_FEATURE__DEFAULT_VALUE_LITERAL, ESTRUCTURAL_FEATURE__DERIVED, ESTRUCTURAL_FEATURE__EANNOTATIONS, ESTRUCTURAL_FEATURE__ECONTAINING_CLASS, ESTRUCTURAL_FEATURE__EGENERIC_TYPE, ESTRUCTURAL_FEATURE__ETYPE, ESTRUCTURAL_FEATURE__LOWER_BOUND, ESTRUCTURAL_FEATURE__MANY, ESTRUCTURAL_FEATURE__NAME, ESTRUCTURAL_FEATURE__ORDERED, ESTRUCTURAL_FEATURE__REQUIRED, ESTRUCTURAL_FEATURE__TRANSIENT, ESTRUCTURAL_FEATURE__UNIQUE, ESTRUCTURAL_FEATURE__UNSETTABLE, ESTRUCTURAL_FEATURE__UPPER_BOUND, ESTRUCTURAL_FEATURE__VOLATILE, ESTRUCTURAL_FEATURE_FEATURE_COUNT, ETREE_ITERATOR, ETYPE_PARAMETER, ETYPE_PARAMETER__EANNOTATIONS, ETYPE_PARAMETER__EBOUNDS, ETYPE_PARAMETER__NAME, ETYPE_PARAMETER_FEATURE_COUNT, ETYPED_ELEMENT, ETYPED_ELEMENT__EANNOTATIONS, ETYPED_ELEMENT__EGENERIC_TYPE, ETYPED_ELEMENT__ETYPE, ETYPED_ELEMENT__LOWER_BOUND, ETYPED_ELEMENT__MANY, ETYPED_ELEMENT__NAME, ETYPED_ELEMENT__ORDERED, ETYPED_ELEMENT__REQUIRED, ETYPED_ELEMENT__UNIQUE, ETYPED_ELEMENT__UPPER_BOUND, ETYPED_ELEMENT_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createEcoreAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore
`protected EGenericType` `createEGenericType()`
`protected void` `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EReference` `getEAnnotation_Contents()`
`EReference` `getEAnnotation_Details()`
`EReference` `getEAnnotation_EModelElement()`
`EReference` `getEAnnotation_References()`
`EAttribute` `getEAnnotation_Source()`
`EClass` `getEAnnotation()`
`EReference` `getEAttribute_EAttributeType()`
`EAttribute` `getEAttribute_ID()`
`EClass` `getEAttribute()`
`EDataType` `getEBigDecimal()`
`EDataType` `getEBigInteger()`
`EDataType` `getEBoolean()`
`EDataType` `getEBooleanObject()`
`EDataType` `getEByte()`
`EDataType` `getEByteArray()`
`EDataType` `getEByteObject()`
`EDataType` `getEChar()`
`EDataType` `getECharacterObject()`
`EAttribute` `getEClass_Abstract()`
`EReference` `getEClass_EAllAttributes()`
`EReference` `getEClass_EAllContainments()`
`EReference` `getEClass_EAllGenericSuperTypes()`
`EReference` `getEClass_EAllOperations()`
`EReference` `getEClass_EAllReferences()`
`EReference` `getEClass_EAllStructuralFeatures()`
`EReference` `getEClass_EAllSuperTypes()`
`EReference` `getEClass_EAttributes()`
`EReference` `getEClass_EGenericSuperTypes()`
`EReference` `getEClass_EIDAttribute()`
`EReference` `getEClass_EOperations()`
`EReference` `getEClass_EReferences()`
`EReference` `getEClass_EStructuralFeatures()`
`EReference` `getEClass_ESuperTypes()`
`EAttribute` `getEClass_Interface()`
`EClass` `getEClass()`
`EAttribute` `getEClassifier_DefaultValue()`
`EReference` `getEClassifier_EPackage()`
`EReference` `getEClassifier_ETypeParameters()`
`EAttribute` `getEClassifier_InstanceClass()`
`EAttribute` `getEClassifier_InstanceClassName()`
`EAttribute` `getEClassifier_InstanceTypeName()`
`EClass` `getEClassifier()`
`EcoreFactory` `getEcoreFactory()`
`EAttribute` `getEDataType_Serializable()`
`EClass` `getEDataType()`
`EDataType` `getEDate()`
`EDataType` `getEDiagnosticChain()`
`EDataType` `getEDouble()`
`EDataType` `getEDoubleObject()`
`EDataType` `getEEList()`
`EReference` `getEEnum_ELiterals()`
`EClass` `getEEnum()`
`EDataType` `getEEnumerator()`
`EReference` `getEEnumLiteral_EEnum()`
`EAttribute` `getEEnumLiteral_Instance()`
`EAttribute` `getEEnumLiteral_Literal()`
`EAttribute` `getEEnumLiteral_Value()`
`EClass` `getEEnumLiteral()`
`EReference` `getEFactory_EPackage()`
`EClass` `getEFactory()`
`EDataType` `getEFeatureMap()`
`EDataType` `getEFeatureMapEntry()`
`EDataType` `getEFloat()`
`EDataType` `getEFloatObject()`
`EReference` `getEGenericType_EClassifier()`
`EReference` `getEGenericType_ELowerBound()`
`EReference` `getEGenericType_ERawType()`
`EReference` `getEGenericType_ETypeArguments()`
`EReference` `getEGenericType_ETypeParameter()`
`EReference` `getEGenericType_EUpperBound()`
`EClass` `getEGenericType()`
`EDataType` `getEInt()`
`EDataType` `getEIntegerObject()`
`EDataType` `getEJavaClass()`
`EDataType` `getEJavaObject()`
`EDataType` `getELong()`
`EDataType` `getELongObject()`
`EDataType` `getEMap()`
`EReference` `getEModelElement_EAnnotations()`
`EClass` `getEModelElement()`
`EAttribute` `getENamedElement_Name()`
`EClass` `getENamedElement()`
`EClass` `getEObject()`
`EReference` `getEOperation_EContainingClass()`
`EReference` `getEOperation_EExceptions()`
`EReference` `getEOperation_EGenericExceptions()`
`EReference` `getEOperation_EParameters()`
`EReference` `getEOperation_ETypeParameters()`
`EClass` `getEOperation()`
`EReference` `getEPackage_EClassifiers()`
`EReference` `getEPackage_EFactoryInstance()`
`EReference` `getEPackage_ESubpackages()`
`EReference` `getEPackage_ESuperPackage()`
`EAttribute` `getEPackage_NsPrefix()`
`EAttribute` `getEPackage_NsURI()`
`EClass` `getEPackage()`
`EReference` `getEParameter_EOperation()`
`EClass` `getEParameter()`
`EAttribute` `getEReference_Container()`
`EAttribute` `getEReference_Containment()`
`EReference` `getEReference_EKeys()`
`EReference` `getEReference_EOpposite()`
`EReference` `getEReference_EReferenceType()`
`EAttribute` `getEReference_ResolveProxies()`
`EClass` `getEReference()`
`EDataType` `getEResource()`
`EDataType` `getEResourceSet()`
`EDataType` `getEShort()`
`EDataType` `getEShortObject()`
`EDataType` `getEString()`
`EAttribute` `getEStringToStringMapEntry_Key()`
`EAttribute` `getEStringToStringMapEntry_Value()`
`EClass` `getEStringToStringMapEntry()`
`EAttribute` `getEStructuralFeature_Changeable()`
`EAttribute` `getEStructuralFeature_DefaultValue()`
`EAttribute` `getEStructuralFeature_DefaultValueLiteral()`
`EAttribute` `getEStructuralFeature_Derived()`
`EReference` `getEStructuralFeature_EContainingClass()`
`EAttribute` `getEStructuralFeature_LowerBound()` Deprecated.
`EAttribute` `getEStructuralFeature_Many()` Deprecated.
`EAttribute` `getEStructuralFeature_Required()` Deprecated.
`EAttribute` `getEStructuralFeature_Transient()`
`EAttribute` `getEStructuralFeature_Unique()` Deprecated.
`EAttribute` `getEStructuralFeature_Unsettable()`
`EAttribute` `getEStructuralFeature_UpperBound()` Deprecated.
`EAttribute` `getEStructuralFeature_Volatile()`
`EClass` `getEStructuralFeature()`
`EDataType` `getETreeIterator()`
`EReference` `getETypedElement_EGenericType()`
`EReference` `getETypedElement_EType()`
`EAttribute` `getETypedElement_LowerBound()`
`EAttribute` `getETypedElement_Many()`
`EAttribute` `getETypedElement_Ordered()`
`EAttribute` `getETypedElement_Required()`
`EAttribute` `getETypedElement_Unique()`
`EAttribute` `getETypedElement_UpperBound()`
`EClass` `getETypedElement()`
`EReference` `getETypeParameter_EBounds()`
`EClass` `getETypeParameter()`
`static EcorePackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.
`static boolean` `internalBootstrap()`

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static EcorePackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `EcorePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### createEGenericType

    protected EGenericType createEGenericType()

  Overrides:
    `createEGenericType` in class `EPackageImpl`

### internalBootstrap

    public static boolean internalBootstrap()

### getEClass

    public EClass getEClass()

  Specified by:
    `getEClass` in interface `EcorePackage`
  Returns:
    the meta object for class 'EClass'.
  See Also:
    `EClass`

### getEClass_Abstract

    public EAttribute getEClass_Abstract()

  Specified by:
    `getEClass_Abstract` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Abstract'.
  See Also:
    `EClass.isAbstract()`, `EcorePackage.getEClass()`

### getEClass_Interface

    public EAttribute getEClass_Interface()

  Specified by:
    `getEClass_Interface` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Interface'.
  See Also:
    `EClass.isInterface()`, `EcorePackage.getEClass()`

### getEClass_ESuperTypes

    public EReference getEClass_ESuperTypes()

  Specified by:
    `getEClass_ESuperTypes` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'ESuper Types'.
  See Also:
    `EClass.getESuperTypes()`, `EcorePackage.getEClass()`

### getEClass_EOperations

    public EReference getEClass_EOperations()

  Specified by:
    `getEClass_EOperations` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'EOperations'.
  See Also:
    `EClass.getEOperations()`, `EcorePackage.getEClass()`

### getEClass_EAllAttributes

    public EReference getEClass_EAllAttributes()

  Specified by:
    `getEClass_EAllAttributes` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'EAll Attributes'.
  See Also:
    `EClass.getEAllAttributes()`, `EcorePackage.getEClass()`

### getEClass_EAllReferences

    public EReference getEClass_EAllReferences()

  Specified by:
    `getEClass_EAllReferences` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'EAll References'.
  See Also:
    `EClass.getEAllReferences()`, `EcorePackage.getEClass()`

### getEClass_EReferences

    public EReference getEClass_EReferences()

  Specified by:
    `getEClass_EReferences` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'EReferences'.
  See Also:
    `EClass.getEReferences()`, `EcorePackage.getEClass()`

### getEClass_EAttributes

    public EReference getEClass_EAttributes()

  Specified by:
    `getEClass_EAttributes` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'EAttributes'.
  See Also:
    `EClass.getEAttributes()`, `EcorePackage.getEClass()`

### getEClass_EAllContainments

    public EReference getEClass_EAllContainments()

  Specified by:
    `getEClass_EAllContainments` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'EAll Containments'.
  See Also:
    `EClass.getEAllContainments()`, `EcorePackage.getEClass()`

### getEClass_EAllOperations

    public EReference getEClass_EAllOperations()

  Specified by:
    `getEClass_EAllOperations` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'EAll Operations'.
  See Also:
    `EClass.getEAllOperations()`, `EcorePackage.getEClass()`

### getEClass_EAllStructuralFeatures

    public EReference getEClass_EAllStructuralFeatures()

  Specified by:
    `getEClass_EAllStructuralFeatures` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'EAll Structural Features'.
  See Also:
    `EClass.getEAllStructuralFeatures()`, `EcorePackage.getEClass()`

### getEClass_EAllSuperTypes

    public EReference getEClass_EAllSuperTypes()

  Specified by:
    `getEClass_EAllSuperTypes` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'EAll Super Types'.
  See Also:
    `EClass.getEAllSuperTypes()`, `EcorePackage.getEClass()`

### getEClass_EIDAttribute

    public EReference getEClass_EIDAttribute()

  Specified by:
    `getEClass_EIDAttribute` in interface `EcorePackage`
  Returns:
    the meta object for the reference 'EID Attribute'.
  See Also:
    `EClass.getEIDAttribute()`, `EcorePackage.getEClass()`

### getEClass_EStructuralFeatures

    public EReference getEClass_EStructuralFeatures()

  Specified by:
    `getEClass_EStructuralFeatures` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'EStructural Features'.
  See Also:
    `EClass.getEStructuralFeatures()`, `EcorePackage.getEClass()`

### getEClass_EGenericSuperTypes

    public EReference getEClass_EGenericSuperTypes()

  Specified by:
    `getEClass_EGenericSuperTypes` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'EGeneric Super Types'.
  See Also:
    `EClass.getEGenericSuperTypes()`, `EcorePackage.getEClass()`

### getEClass_EAllGenericSuperTypes

    public EReference getEClass_EAllGenericSuperTypes()

  Specified by:
    `getEClass_EAllGenericSuperTypes` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'EAll Generic Super Types'.
  See Also:
    `EClass.getEAllGenericSuperTypes()`, `EcorePackage.getEClass()`

### getEDataType

    public EClass getEDataType()

  Specified by:
    `getEDataType` in interface `EcorePackage`
  Returns:
    the meta object for class 'EData Type'.
  See Also:
    `EDataType`

### getEDataType_Serializable

    public EAttribute getEDataType_Serializable()

  Specified by:
    `getEDataType_Serializable` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Serializable'.
  See Also:
    `EDataType.isSerializable()`, `EcorePackage.getEDataType()`

### getEClassifier

    public EClass getEClassifier()

  Specified by:
    `getEClassifier` in interface `EcorePackage`
  Returns:
    the meta object for class 'EClassifier'.
  See Also:
    `EClassifier`

### getEClassifier_InstanceClassName

    public EAttribute getEClassifier_InstanceClassName()

  Specified by:
    `getEClassifier_InstanceClassName` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Instance Class Name'.
  See Also:
    `EClassifier.getInstanceClassName()`, `EcorePackage.getEClassifier()`

### getEClassifier_InstanceClass

    public EAttribute getEClassifier_InstanceClass()

  Specified by:
    `getEClassifier_InstanceClass` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Instance Class'.
  See Also:
    `EClassifier.getInstanceClass()`, `EcorePackage.getEClassifier()`

### getEClassifier_DefaultValue

    public EAttribute getEClassifier_DefaultValue()

  Specified by:
    `getEClassifier_DefaultValue` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `EClassifier.getDefaultValue()`, `EcorePackage.getEClassifier()`

### getEClassifier_InstanceTypeName

    public EAttribute getEClassifier_InstanceTypeName()

  Specified by:
    `getEClassifier_InstanceTypeName` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Instance Type Name'.
  See Also:
    `EClassifier.getInstanceTypeName()`, `EcorePackage.getEClassifier()`

### getEClassifier_EPackage

    public EReference getEClassifier_EPackage()

  Specified by:
    `getEClassifier_EPackage` in interface `EcorePackage`
  Returns:
    the meta object for the container reference 'EPackage'.
  See Also:
    `EClassifier.getEPackage()`, `EcorePackage.getEClassifier()`

### getEClassifier_ETypeParameters

    public EReference getEClassifier_ETypeParameters()

  Specified by:
    `getEClassifier_ETypeParameters` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'EType Parameters'.
  See Also:
    `EClassifier.getETypeParameters()`, `EcorePackage.getEClassifier()`

### getENamedElement

    public EClass getENamedElement()

  Specified by:
    `getENamedElement` in interface `EcorePackage`
  Returns:
    the meta object for class 'ENamed Element'.
  See Also:
    `ENamedElement`

### getENamedElement_Name

    public EAttribute getENamedElement_Name()

  Specified by:
    `getENamedElement_Name` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ENamedElement.getName()`, `EcorePackage.getENamedElement()`

### getEOperation

    public EClass getEOperation()

  Specified by:
    `getEOperation` in interface `EcorePackage`
  Returns:
    the meta object for class 'EOperation'.
  See Also:
    `EOperation`

### getEOperation_EContainingClass

    public EReference getEOperation_EContainingClass()

  Specified by:
    `getEOperation_EContainingClass` in interface `EcorePackage`
  Returns:
    the meta object for the container reference 'EContaining Class'.
  See Also:
    `EOperation.getEContainingClass()`, `EcorePackage.getEOperation()`

### getEOperation_EParameters

    public EReference getEOperation_EParameters()

  Specified by:
    `getEOperation_EParameters` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'EParameters'.
  See Also:
    `EOperation.getEParameters()`, `EcorePackage.getEOperation()`

### getEOperation_EExceptions

    public EReference getEOperation_EExceptions()

  Specified by:
    `getEOperation_EExceptions` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'EExceptions'.
  See Also:
    `EOperation.getEExceptions()`, `EcorePackage.getEOperation()`

### getEOperation_EGenericExceptions

    public EReference getEOperation_EGenericExceptions()

  Specified by:
    `getEOperation_EGenericExceptions` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'EGeneric Exceptions'.
  See Also:
    `EOperation.getEGenericExceptions()`, `EcorePackage.getEOperation()`

### getEOperation_ETypeParameters

    public EReference getEOperation_ETypeParameters()

  Specified by:
    `getEOperation_ETypeParameters` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'EType Parameters'.
  See Also:
    `EOperation.getETypeParameters()`, `EcorePackage.getEOperation()`

### getEModelElement

    public EClass getEModelElement()

  Specified by:
    `getEModelElement` in interface `EcorePackage`
  Returns:
    the meta object for class 'EModel Element'.
  See Also:
    `EModelElement`

### getEModelElement_EAnnotations

    public EReference getEModelElement_EAnnotations()

  Specified by:
    `getEModelElement_EAnnotations` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'EAnnotations'.
  See Also:
    `EModelElement.getEAnnotations()`, `EcorePackage.getEModelElement()`

### getEStructuralFeature

    public EClass getEStructuralFeature()

  Specified by:
    `getEStructuralFeature` in interface `EcorePackage`
  Returns:
    the meta object for class 'EStructural Feature'.
  See Also:
    `EStructuralFeature`

### getEStructuralFeature_Transient

    public EAttribute getEStructuralFeature_Transient()

  Specified by:
    `getEStructuralFeature_Transient` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Transient'.
  See Also:
    `EStructuralFeature.isTransient()`, `EcorePackage.getEStructuralFeature()`

### getEStructuralFeature_Volatile

    public EAttribute getEStructuralFeature_Volatile()

  Specified by:
    `getEStructuralFeature_Volatile` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Volatile'.
  See Also:
    `EStructuralFeature.isVolatile()`, `EcorePackage.getEStructuralFeature()`

### getEStructuralFeature_Changeable

    public EAttribute getEStructuralFeature_Changeable()

  Specified by:
    `getEStructuralFeature_Changeable` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Changeable'.
  See Also:
    `EStructuralFeature.isChangeable()`, `EcorePackage.getEStructuralFeature()`

### getEStructuralFeature_DefaultValueLiteral

    public EAttribute getEStructuralFeature_DefaultValueLiteral()

  Specified by:
    `getEStructuralFeature_DefaultValueLiteral` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Default Value Literal'.
  See Also:
    `EStructuralFeature.getDefaultValueLiteral()`, `EcorePackage.getEStructuralFeature()`

### getEStructuralFeature_DefaultValue

    public EAttribute getEStructuralFeature_DefaultValue()

  Specified by:
    `getEStructuralFeature_DefaultValue` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `EStructuralFeature.getDefaultValue()`, `EcorePackage.getEStructuralFeature()`

### getEStructuralFeature_Unsettable

    public EAttribute getEStructuralFeature_Unsettable()

  Specified by:
    `getEStructuralFeature_Unsettable` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Unsettable'.
  See Also:
    `EStructuralFeature.isUnsettable()`, `EcorePackage.getEStructuralFeature()`

### getEStructuralFeature_Derived

    public EAttribute getEStructuralFeature_Derived()

  Specified by:
    `getEStructuralFeature_Derived` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Derived'.
  See Also:
    `EStructuralFeature.isDerived()`, `EcorePackage.getEStructuralFeature()`

### getEStructuralFeature_EContainingClass

    public EReference getEStructuralFeature_EContainingClass()

  Specified by:
    `getEStructuralFeature_EContainingClass` in interface `EcorePackage`
  Returns:
    the meta object for the container reference 'EContaining Class'.
  See Also:
    `EStructuralFeature.getEContainingClass()`, `EcorePackage.getEStructuralFeature()`

### getEStructuralFeature_Unique

    @Deprecated
    public EAttribute getEStructuralFeature_Unique()

  Deprecated.

  Specified by:
    `getEStructuralFeature_Unique` in interface `EcorePackage`

### getEStructuralFeature_LowerBound

    @Deprecated
    public EAttribute getEStructuralFeature_LowerBound()

  Deprecated.

  Specified by:
    `getEStructuralFeature_LowerBound` in interface `EcorePackage`

### getEStructuralFeature_UpperBound

    @Deprecated
    public EAttribute getEStructuralFeature_UpperBound()

  Deprecated.

  Specified by:
    `getEStructuralFeature_UpperBound` in interface `EcorePackage`

### getEStructuralFeature_Many

    @Deprecated
    public EAttribute getEStructuralFeature_Many()

  Deprecated.

  Specified by:
    `getEStructuralFeature_Many` in interface `EcorePackage`

### getEStructuralFeature_Required

    @Deprecated
    public EAttribute getEStructuralFeature_Required()

  Deprecated.

  Specified by:
    `getEStructuralFeature_Required` in interface `EcorePackage`

### getEAttribute

    public EClass getEAttribute()

  Specified by:
    `getEAttribute` in interface `EcorePackage`
  Returns:
    the meta object for class 'EAttribute'.
  See Also:
    `EAttribute`

### getEAttribute_ID

    public EAttribute getEAttribute_ID()

  Specified by:
    `getEAttribute_ID` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `EAttribute.isID()`, `EcorePackage.getEAttribute()`

### getEAttribute_EAttributeType

    public EReference getEAttribute_EAttributeType()

  Specified by:
    `getEAttribute_EAttributeType` in interface `EcorePackage`
  Returns:
    the meta object for the reference 'EAttribute Type'.
  See Also:
    `EAttribute.getEAttributeType()`, `EcorePackage.getEAttribute()`

### getEAnnotation

    public EClass getEAnnotation()

  Specified by:
    `getEAnnotation` in interface `EcorePackage`
  Returns:
    the meta object for class 'EAnnotation'.
  See Also:
    `EAnnotation`

### getEAnnotation_Source

    public EAttribute getEAnnotation_Source()

  Specified by:
    `getEAnnotation_Source` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Source'.
  See Also:
    `EAnnotation.getSource()`, `EcorePackage.getEAnnotation()`

### getEAnnotation_Details

    public EReference getEAnnotation_Details()

  Specified by:
    `getEAnnotation_Details` in interface `EcorePackage`
  Returns:
    the meta object for the map 'Details'.
  See Also:
    `EAnnotation.getDetails()`, `EcorePackage.getEAnnotation()`

### getEAnnotation_EModelElement

    public EReference getEAnnotation_EModelElement()

  Specified by:
    `getEAnnotation_EModelElement` in interface `EcorePackage`
  Returns:
    the meta object for the container reference 'EModel Element'.
  See Also:
    `EAnnotation.getEModelElement()`, `EcorePackage.getEAnnotation()`

### getEAnnotation_Contents

    public EReference getEAnnotation_Contents()

  Specified by:
    `getEAnnotation_Contents` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `EAnnotation.getContents()`, `EcorePackage.getEAnnotation()`

### getEAnnotation_References

    public EReference getEAnnotation_References()

  Specified by:
    `getEAnnotation_References` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'References'.
  See Also:
    `EAnnotation.getReferences()`, `EcorePackage.getEAnnotation()`

### getEReference

    public EClass getEReference()

  Specified by:
    `getEReference` in interface `EcorePackage`
  Returns:
    the meta object for class 'EReference'.
  See Also:
    `EReference`

### getEReference_Containment

    public EAttribute getEReference_Containment()

  Specified by:
    `getEReference_Containment` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Containment'.
  See Also:
    `EReference.isContainment()`, `EcorePackage.getEReference()`

### getEReference_Container

    public EAttribute getEReference_Container()

  Specified by:
    `getEReference_Container` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Container'.
  See Also:
    `EReference.isContainer()`, `EcorePackage.getEReference()`

### getEReference_ResolveProxies

    public EAttribute getEReference_ResolveProxies()

  Specified by:
    `getEReference_ResolveProxies` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Resolve Proxies'.
  See Also:
    `EReference.isResolveProxies()`, `EcorePackage.getEReference()`

### getEReference_EOpposite

    public EReference getEReference_EOpposite()

  Specified by:
    `getEReference_EOpposite` in interface `EcorePackage`
  Returns:
    the meta object for the reference 'EOpposite'.
  See Also:
    `EReference.getEOpposite()`, `EcorePackage.getEReference()`

### getEReference_EReferenceType

    public EReference getEReference_EReferenceType()

  Specified by:
    `getEReference_EReferenceType` in interface `EcorePackage`
  Returns:
    the meta object for the reference 'EReference Type'.
  See Also:
    `EReference.getEReferenceType()`, `EcorePackage.getEReference()`

### getEReference_EKeys

    public EReference getEReference_EKeys()

  Specified by:
    `getEReference_EKeys` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'EKeys'.
  See Also:
    `EReference.getEKeys()`, `EcorePackage.getEReference()`

### getEEList

    public EDataType getEEList()

  Specified by:
    `getEEList` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EE List'.
  See Also:
    `EList`

### getEResource

    public EDataType getEResource()

  Specified by:
    `getEResource` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EResource'.
  See Also:
    `Resource`

### getEResourceSet

    public EDataType getEResourceSet()

  Specified by:
    `getEResourceSet` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EResource Set'.
  See Also:
    `ResourceSet`

### getEBooleanObject

    public EDataType getEBooleanObject()

  Specified by:
    `getEBooleanObject` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EBoolean Object'.
  See Also:
    `Boolean`

### getECharacterObject

    public EDataType getECharacterObject()

  Specified by:
    `getECharacterObject` in interface `EcorePackage`
  Returns:
    the meta object for data type 'ECharacter Object'.
  See Also:
    `Character`

### getEDate

    public EDataType getEDate()

  Specified by:
    `getEDate` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EDate'.
  See Also:
    `Date`

### getEDiagnosticChain

    public EDataType getEDiagnosticChain()

  Specified by:
    `getEDiagnosticChain` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EDiagnostic Chain'.
  See Also:
    `DiagnosticChain`

### getEDoubleObject

    public EDataType getEDoubleObject()

  Specified by:
    `getEDoubleObject` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EDouble Object'.
  See Also:
    `Double`

### getEFloatObject

    public EDataType getEFloatObject()

  Specified by:
    `getEFloatObject` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EFloat Object'.
  See Also:
    `Float`

### getEIntegerObject

    public EDataType getEIntegerObject()

  Specified by:
    `getEIntegerObject` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EInteger Object'.
  See Also:
    `Integer`

### getETypedElement

    public EClass getETypedElement()

  Specified by:
    `getETypedElement` in interface `EcorePackage`
  Returns:
    the meta object for class 'ETyped Element'.
  See Also:
    `ETypedElement`

### getETypedElement_Ordered

    public EAttribute getETypedElement_Ordered()

  Specified by:
    `getETypedElement_Ordered` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Ordered'.
  See Also:
    `ETypedElement.isOrdered()`, `EcorePackage.getETypedElement()`

### getETypedElement_Unique

    public EAttribute getETypedElement_Unique()

  Specified by:
    `getETypedElement_Unique` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Unique'.
  See Also:
    `ETypedElement.isUnique()`, `EcorePackage.getETypedElement()`

### getETypedElement_LowerBound

    public EAttribute getETypedElement_LowerBound()

  Specified by:
    `getETypedElement_LowerBound` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Lower Bound'.
  See Also:
    `ETypedElement.getLowerBound()`, `EcorePackage.getETypedElement()`

### getETypedElement_UpperBound

    public EAttribute getETypedElement_UpperBound()

  Specified by:
    `getETypedElement_UpperBound` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Upper Bound'.
  See Also:
    `ETypedElement.getUpperBound()`, `EcorePackage.getETypedElement()`

### getETypedElement_Many

    public EAttribute getETypedElement_Many()

  Specified by:
    `getETypedElement_Many` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Many'.
  See Also:
    `ETypedElement.isMany()`, `EcorePackage.getETypedElement()`

### getETypedElement_Required

    public EAttribute getETypedElement_Required()

  Specified by:
    `getETypedElement_Required` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Required'.
  See Also:
    `ETypedElement.isRequired()`, `EcorePackage.getETypedElement()`

### getETypedElement_EType

    public EReference getETypedElement_EType()

  Specified by:
    `getETypedElement_EType` in interface `EcorePackage`
  Returns:
    the meta object for the reference 'EType'.
  See Also:
    `ETypedElement.getEType()`, `EcorePackage.getETypedElement()`

### getETypedElement_EGenericType

    public EReference getETypedElement_EGenericType()

  Specified by:
    `getETypedElement_EGenericType` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference 'EGeneric Type'.
  See Also:
    `ETypedElement.getEGenericType()`, `EcorePackage.getETypedElement()`

### getEStringToStringMapEntry

    public EClass getEStringToStringMapEntry()

  Specified by:
    `getEStringToStringMapEntry` in interface `EcorePackage`
  Returns:
    the meta object for class 'EString To String Map Entry'.
  See Also:
    `Map.Entry`

### getEStringToStringMapEntry_Key

    public EAttribute getEStringToStringMapEntry_Key()

  Specified by:
    `getEStringToStringMapEntry_Key` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `Map.Entry`, `EcorePackage.getEStringToStringMapEntry()`

### getEStringToStringMapEntry_Value

    public EAttribute getEStringToStringMapEntry_Value()

  Specified by:
    `getEStringToStringMapEntry_Value` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `Map.Entry`, `EcorePackage.getEStringToStringMapEntry()`

### getEGenericType

    public EClass getEGenericType()

  Specified by:
    `getEGenericType` in interface `EcorePackage`
  Returns:
    the meta object for class 'EGeneric Type'.
  See Also:
    `EGenericType`

### getEGenericType_EUpperBound

    public EReference getEGenericType_EUpperBound()

  Specified by:
    `getEGenericType_EUpperBound` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference 'EUpper Bound'.
  See Also:
    `EGenericType.getEUpperBound()`, `EcorePackage.getEGenericType()`

### getEGenericType_ETypeArguments

    public EReference getEGenericType_ETypeArguments()

  Specified by:
    `getEGenericType_ETypeArguments` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'EType Arguments'.
  See Also:
    `EGenericType.getETypeArguments()`, `EcorePackage.getEGenericType()`

### getEGenericType_ERawType

    public EReference getEGenericType_ERawType()

  Specified by:
    `getEGenericType_ERawType` in interface `EcorePackage`
  Returns:
    the meta object for the reference 'ERaw Type'.
  See Also:
    `EGenericType.getERawType()`, `EcorePackage.getEGenericType()`

### getEGenericType_ELowerBound

    public EReference getEGenericType_ELowerBound()

  Specified by:
    `getEGenericType_ELowerBound` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference 'ELower Bound'.
  See Also:
    `EGenericType.getELowerBound()`, `EcorePackage.getEGenericType()`

### getEGenericType_ETypeParameter

    public EReference getEGenericType_ETypeParameter()

  Specified by:
    `getEGenericType_ETypeParameter` in interface `EcorePackage`
  Returns:
    the meta object for the reference 'EType Parameter'.
  See Also:
    `EGenericType.getETypeParameter()`, `EcorePackage.getEGenericType()`

### getEGenericType_EClassifier

    public EReference getEGenericType_EClassifier()

  Specified by:
    `getEGenericType_EClassifier` in interface `EcorePackage`
  Returns:
    the meta object for the reference 'EClassifier'.
  See Also:
    `EGenericType.getEClassifier()`, `EcorePackage.getEGenericType()`

### getETypeParameter

    public EClass getETypeParameter()

  Specified by:
    `getETypeParameter` in interface `EcorePackage`
  Returns:
    the meta object for class 'EType Parameter'.
  See Also:
    `ETypeParameter`

### getETypeParameter_EBounds

    public EReference getETypeParameter_EBounds()

  Specified by:
    `getETypeParameter_EBounds` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'EBounds'.
  See Also:
    `ETypeParameter.getEBounds()`, `EcorePackage.getETypeParameter()`

### getEBigDecimal

    public EDataType getEBigDecimal()

  Specified by:
    `getEBigDecimal` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EBig Decimal'.
  See Also:
    `BigDecimal`

### getEBigInteger

    public EDataType getEBigInteger()

  Specified by:
    `getEBigInteger` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EBig Integer'.
  See Also:
    `BigInteger`

### getEParameter

    public EClass getEParameter()

  Specified by:
    `getEParameter` in interface `EcorePackage`
  Returns:
    the meta object for class 'EParameter'.
  See Also:
    `EParameter`

### getEParameter_EOperation

    public EReference getEParameter_EOperation()

  Specified by:
    `getEParameter_EOperation` in interface `EcorePackage`
  Returns:
    the meta object for the container reference 'EOperation'.
  See Also:
    `EParameter.getEOperation()`, `EcorePackage.getEParameter()`

### getEObject

    public EClass getEObject()

  Specified by:
    `getEObject` in interface `EcorePackage`
  Returns:
    the meta object for class 'EObject'.
  See Also:
    `EObject`

### getEPackage

    public EClass getEPackage()

  Specified by:
    `getEPackage` in interface `EcorePackage`
  Returns:
    the meta object for class 'EPackage'.
  See Also:
    `EPackage`

### getEPackage_NsURI

    public EAttribute getEPackage_NsURI()

  Specified by:
    `getEPackage_NsURI` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Ns URI'.
  See Also:
    `EPackage.getNsURI()`, `EcorePackage.getEPackage()`

### getEPackage_NsPrefix

    public EAttribute getEPackage_NsPrefix()

  Specified by:
    `getEPackage_NsPrefix` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Ns Prefix'.
  See Also:
    `EPackage.getNsPrefix()`, `EcorePackage.getEPackage()`

### getEPackage_EFactoryInstance

    public EReference getEPackage_EFactoryInstance()

  Specified by:
    `getEPackage_EFactoryInstance` in interface `EcorePackage`
  Returns:
    the meta object for the reference 'EFactory Instance'.
  See Also:
    `EPackage.getEFactoryInstance()`, `EcorePackage.getEPackage()`

### getEPackage_EClassifiers

    public EReference getEPackage_EClassifiers()

  Specified by:
    `getEPackage_EClassifiers` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'EClassifiers'.
  See Also:
    `EPackage.getEClassifiers()`, `EcorePackage.getEPackage()`

### getEPackage_ESubpackages

    public EReference getEPackage_ESubpackages()

  Specified by:
    `getEPackage_ESubpackages` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'ESubpackages'.
  See Also:
    `EPackage.getESubpackages()`, `EcorePackage.getEPackage()`

### getEPackage_ESuperPackage

    public EReference getEPackage_ESuperPackage()

  Specified by:
    `getEPackage_ESuperPackage` in interface `EcorePackage`
  Returns:
    the meta object for the container reference 'ESuper Package'.
  See Also:
    `EPackage.getESuperPackage()`, `EcorePackage.getEPackage()`

### getEEnum

    public EClass getEEnum()

  Specified by:
    `getEEnum` in interface `EcorePackage`
  Returns:
    the meta object for class 'EEnum'.
  See Also:
    `EEnum`

### getEEnum_ELiterals

    public EReference getEEnum_ELiterals()

  Specified by:
    `getEEnum_ELiterals` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference list 'ELiterals'.
  See Also:
    `EEnum.getELiterals()`, `EcorePackage.getEEnum()`

### getEEnumLiteral

    public EClass getEEnumLiteral()

  Specified by:
    `getEEnumLiteral` in interface `EcorePackage`
  Returns:
    the meta object for class 'EEnum Literal'.
  See Also:
    `EEnumLiteral`

### getEEnumLiteral_Value

    public EAttribute getEEnumLiteral_Value()

  Specified by:
    `getEEnumLiteral_Value` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `EEnumLiteral.getValue()`, `EcorePackage.getEEnumLiteral()`

### getEEnumLiteral_Instance

    public EAttribute getEEnumLiteral_Instance()

  Specified by:
    `getEEnumLiteral_Instance` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Instance'.
  See Also:
    `EEnumLiteral.getInstance()`, `EcorePackage.getEEnumLiteral()`

### getEEnumLiteral_Literal

    public EAttribute getEEnumLiteral_Literal()

  Specified by:
    `getEEnumLiteral_Literal` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Literal'.
  See Also:
    `EEnumLiteral.getLiteral()`, `EcorePackage.getEEnumLiteral()`

### getEEnumLiteral_EEnum

    public EReference getEEnumLiteral_EEnum()

  Specified by:
    `getEEnumLiteral_EEnum` in interface `EcorePackage`
  Returns:
    the meta object for the container reference 'EEnum'.
  See Also:
    `EEnumLiteral.getEEnum()`, `EcorePackage.getEEnumLiteral()`

### getEBoolean

    public EDataType getEBoolean()

  Specified by:
    `getEBoolean` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EBoolean'.

### getEByteObject

    public EDataType getEByteObject()

  Specified by:
    `getEByteObject` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EByte Object'.
  See Also:
    `Byte`

### getEJavaClass

    public EDataType getEJavaClass()

  Specified by:
    `getEJavaClass` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EJava Class'.
  See Also:
    `Class`

### getEJavaObject

    public EDataType getEJavaObject()

  Specified by:
    `getEJavaObject` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EJava Object'.
  See Also:
    `Object`

### getELongObject

    public EDataType getELongObject()

  Specified by:
    `getELongObject` in interface `EcorePackage`
  Returns:
    the meta object for data type 'ELong Object'.
  See Also:
    `Long`

### getEMap

    public EDataType getEMap()

  Specified by:
    `getEMap` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EMap'.
  See Also:
    `Map`

### getEShortObject

    public EDataType getEShortObject()

  Specified by:
    `getEShortObject` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EShort Object'.
  See Also:
    `Short`

### getEString

    public EDataType getEString()

  Specified by:
    `getEString` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EString'.
  See Also:
    `String`

### getEInt

    public EDataType getEInt()

  Specified by:
    `getEInt` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EInt'.

### getEFloat

    public EDataType getEFloat()

  Specified by:
    `getEFloat` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EFloat'.

### getELong

    public EDataType getELong()

  Specified by:
    `getELong` in interface `EcorePackage`
  Returns:
    the meta object for data type 'ELong'.

### getEDouble

    public EDataType getEDouble()

  Specified by:
    `getEDouble` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EDouble'.

### getEShort

    public EDataType getEShort()

  Specified by:
    `getEShort` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EShort'.

### getETreeIterator

    public EDataType getETreeIterator()

  Specified by:
    `getETreeIterator` in interface `EcorePackage`
  Returns:
    the meta object for data type 'ETree Iterator'.
  See Also:
    `TreeIterator`

### getEFeatureMapEntry

    public EDataType getEFeatureMapEntry()

  Specified by:
    `getEFeatureMapEntry` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EFeature Map Entry'.
  See Also:
    `FeatureMap.Entry`

### getEEnumerator

    public EDataType getEEnumerator()

  Specified by:
    `getEEnumerator` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EEnumerator'.
  See Also:
    `Enumerator`

### getEFeatureMap

    public EDataType getEFeatureMap()

  Specified by:
    `getEFeatureMap` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EFeature Map'.
  See Also:
    `FeatureMap`

### getEChar

    public EDataType getEChar()

  Specified by:
    `getEChar` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EChar'.

### getEByte

    public EDataType getEByte()

  Specified by:
    `getEByte` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EByte'.

### getEByteArray

    public EDataType getEByteArray()

  Specified by:
    `getEByteArray` in interface `EcorePackage`
  Returns:
    the meta object for data type 'EByte Array'.

### getEcoreFactory

    public EcoreFactory getEcoreFactory()

  Specified by:
    `getEcoreFactory` in interface `EcorePackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### createEcoreAnnotations

    protected void createEcoreAnnotations()

  Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.

### createExtendedMetaDataAnnotations

    protected void createExtendedMetaDataAnnotations()

  Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.

### getEFactory

    public EClass getEFactory()

  Specified by:
    `getEFactory` in interface `EcorePackage`
  Returns:
    the meta object for class 'EFactory'.
  See Also:
    `EFactory`

### getEFactory_EPackage

    public EReference getEFactory_EPackage()

  Specified by:
    `getEFactory_EPackage` in interface `EcorePackage`
  Returns:
    the meta object for the reference 'EPackage'.
  See Also:
    `EFactory.getEPackage()`, `EcorePackage.getEFactory()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.